package dev.pfaff.thinksame.mixin;

import net.minecraft.client.Mouse;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;

import static org.objectweb.asm.Opcodes.GETSTATIC;

@Mixin(Mouse.class)
public abstract class MouseMixin {
    @Redirect(method = "onMouseButton", at = @At(value = "FIELD", opcode = GETSTATIC, target = "Lnet/minecraft/client/MinecraftClient;IS_SYSTEM_MAC:Z"))
    private boolean onMouseButton$noMacOS() {
        return false;
    }
}
