package dev.pfaff.thinksame.mixin;

import net.minecraft.client.gui.screen.Screen;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;

import static org.objectweb.asm.Opcodes.GETSTATIC;

@Mixin(Screen.class)
public abstract class ScreenMixin {
    @Redirect(method = "hasControlDown", at = @At(value = "FIELD", opcode = GETSTATIC, target = "Lnet/minecraft/client/MinecraftClient;IS_SYSTEM_MAC:Z"))
    private static boolean hasControlDown$noMacOS() {
        return false;
    }
}
